Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.workitems
Class PendWorkItemByPeriod

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.workitems.PendWorkItemByPeriod

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<VoidResult>, net.customware.gwt.dispatch.shared.Action<VoidResult>

    public class PendWorkItemByPeriod

extends java.lang.Object
implements OSAction<VoidResult>

Pend a Work Item for the specified period.

When an item is Pended it enters a PENDHIDDEN state and is not visible in the Work List until the specified period has elapsed.

Returns no result, throws an ActionException if an error occurs.

A Work Item can only be Pended if it is Allocated to the current user.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`PendWorkItemByPeriod(java.util.Set<ManagedId> items, int years, int months, int weeks, int days, int hours, int minutes)` Constructs a new PendWorkItemByPeriod Action

Method Summary
`int` | `getDays()` Number of days to pend for or 0.
`int` | `getHours()` Number of hours to pend for or 0.
`java.util.Set<ManagedId>` | `getItem()` The Set of `ManagedId` Items to Pend, a list of items can be retrieved by calling `GetToDoList`
`int` | `getMinutes()` Number of minutes to pend for or 0.
`int` | `getMonths()` Number of months to pend for or 0.
`int` | `getWeeks()` Number of weeks to pend for or 0.
`int` | `getYears()` Number of years to pend for or 0.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PendWorkItemByPeriod

    public PendWorkItemByPeriod(java.util.Set<ManagedId> items,
                                int years,
                                int months,
                                int weeks,
                                int days,
                                int hours,
                                int minutes)

  Constructs a new PendWorkItemByPeriod Action

  Parameters:
    `item` - The set of `ManagedId` Item to Pend, a list of items can be retrieved by calling `GetToDoList`
    `years` - Number of years to pend for or 0.
    `months` - Number of months to pend for or 0.
    `weeks` - Number of weeks to pend for or 0.
    `days` - Number of days to pend for or 0.
    `hours` - Number of hours to pend for or 0.
    `minutes` - Number of minutes to pend for or 0.

Method Detail

### getItem

    public java.util.Set<ManagedId> getItem()

  The Set of `ManagedId` Items to Pend, a list of items can be retrieved by calling `GetToDoList`

  Returns:
    Returns the items.

### getYears

    public int getYears()

  Number of years to pend for or 0.

  Returns:
    Returns the years.

### getMonths

    public int getMonths()

  Number of months to pend for or 0.

  Returns:
    Returns the months.

### getWeeks

    public int getWeeks()

  Number of weeks to pend for or 0.

  Returns:
    Returns the weeks.

### getDays

    public int getDays()

  Number of days to pend for or 0.

  Returns:
    Returns the days.

### getHours

    public int getHours()

  Number of hours to pend for or 0.

  Returns:
    Returns the hours.

### getMinutes

    public int getMinutes()

  Number of minutes to pend for or 0.

  Returns:
    Returns the minutes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.